# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-%{crate}
Version:        1.0.25
Release:        2%{?dist}
Summary:        Bindings to the system libz library (also known as zlib)

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libz-sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * the asm and static features are only for the bundled lib
# * No MSVC
Patch0:         libz-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cc/default) >= 1.0.18 with crate(cc/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.43 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(pkg-config/default) >= 0.3.9 with crate(pkg-config/default) < 0.4.0)
BuildRequires:  pkgconfig(zlib)

%global _description \
Bindings to the system libz library (also known as zlib).

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# No bundled libs
rm -vrf src/zlib/
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-2
- Adapt to new packaging

* Thu Oct 25 2018 Josh Stone <jistone@redhat.com> - 1.0.25-1
- Update to 1.0.25

* Fri Oct 12 2018 Josh Stone <jistone@redhat.com> - 1.0.24-1
- Update to 1.0.24

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 1.0.23-1
- Update to 1.0.23

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 1.0.22-1
- Update to 1.0.22

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 1.0.20-1
- Update to 1.0.20

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-3
- Rebuild for rust-packaging v5

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-2
- Remove bundled zlib

* Thu Nov 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Mon Jun 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.16-1
- Update to 1.0.16

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-1
- Initial package
